<?php
/**
*
* @package Moods
* @copyright (c) 2016 Theriddler - (http://www.peppersrus-forum.nl)
* @copyright (c) 2015 Rmcgirr83
* @Code lent from nationalflags extension by Rmcgirr83
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\moods\migrations;

class m2_initial_data extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['moods_version']) && version_compare($this->config['moods_version'], '1.0.0', '>=');
	}

	static public function depends_on()
	{
		return array('\theriddler\moods\migrations\m1_initial_schema');
	}

	public function update_data()
	{
		return array(
			array('config.add', array('moods_version', '1.0.0')),
			array('config.add', array('allow_moods', false)),
			array('module.add', array('acp', 'ACP_CAT_DOT_MODS', 'ACP_CAT_MOODS')),
			array('module.add', array(
				'acp', 'ACP_CAT_MOODS', array(
					'module_basename'	=> '\theriddler\moods\acp\moods_module',
					'modes'				=> array('config', 'manage'),
				),
			)),
			array('custom', array(
				array(&$this, 'mood_install_images')
			)),
		);
	}

	public function mood_install_images()
	{
		if ($this->db_tools->sql_table_exists($this->table_prefix . 'moods'))
		{
			$sql_ary = array(
				array(
					'mood_name'		=> 'Aggressive',
					'mood_image'	=> 'M1.gif',
				),
				array(
					'mood_name'		=> 'Alienated',
					'mood_image'	=> 'M2.gif',
				),
				array(
					'mood_name'		=> 'Amazed',
					'mood_image'	=> 'M3.gif',
				),
				array(
					'mood_name'		=> 'Amused',
					'mood_image'	=> 'M4.gif',
				),
				array(
					'mood_name'		=> 'Angelic',
					'mood_image'	=> 'M5.gif',
				),
				array(
					'mood_name'		=> 'Angry',
					'mood_image'	=> 'M6.gif',
				),
				array(
					'mood_name'		=> 'Ape-Like',
					'mood_image'	=> 'M7.gif',
				),
				array(
					'mood_name'		=> 'Artistic',
					'mood_image'	=> 'M8.gif',
				),
				array(
					'mood_name'		=> 'Sleeping',
					'mood_image'	=> 'M9.gif',
				),
				array(
					'mood_name'		=> 'Balanced',
					'mood_image'	=> 'M10.gif',
				),
				array(
					'mood_name'		=> 'Ban Happy',
					'mood_image'	=> 'M11.gif',
				),
				array(
					'mood_name'		=> 'Bashful',
					'mood_image'	=> 'M12.gif',
				),
				array(
					'mood_name'		=> 'Bitching',
					'mood_image'	=> 'M13.gif',
				),
				array(
					'mood_name'		=> 'Blah',
					'mood_image'	=> 'M14.gif',
				),
				array(
					'mood_name'		=> 'Bookworm',
					'mood_image'	=> 'M15.gif',
				),
				array(
					'mood_name'		=> 'Bored',
					'mood_image'	=> 'M16.gif',
				),
				array(
					'mood_name'		=> 'Breezy',
					'mood_image'	=> 'M17.gif',
				),
				array(
					'mood_name'		=> 'Brooding',
					'mood_image'	=> 'M18.gif',
				),
				array(
					'mood_name'		=> 'Busy',
					'mood_image'	=> 'M19.gif',
				),
				array(
					'mood_name'		=> 'Buzzed',
					'mood_image'	=> 'M20.gif',
				),
				array(
					'mood_name'		=> 'Chatty',
					'mood_image'	=> 'M21.gif',
				),
				array(
					'mood_name'		=> 'Cheeky',
					'mood_image'	=> 'M22.gif',
				),
				array(
					'mood_name'		=> 'Cheerful',
					'mood_image'	=> 'M23.gif',
				),
				array(
					'mood_name'		=> 'Cloud 9',
					'mood_image'	=> 'M24.gif',
				),
				array(
					'mood_name'		=> 'Cold',
					'mood_image'	=> 'M25.gif',
				),
				array(
					'mood_name'		=> 'Cold Turkey',
					'mood_image'	=> 'M26.gif',
				),
				array(
					'mood_name'		=> 'Confused',
					'mood_image'	=> 'M27.gif',
				),
				array(
					'mood_name'		=> 'Cool',
					'mood_image'	=> 'M28.gif',
				),
				array(
					'mood_name'		=> 'Crappy',
					'mood_image'	=> 'M29.gif',
				),
				array(
					'mood_name'		=> 'Creative',
					'mood_image'	=> 'M30.gif',
				),
				array(
					'mood_name'		=> 'Curious',
					'mood_image'	=> 'M31.gif',
				),
				array(
					'mood_name'		=> 'Cynical',
					'mood_image'	=> 'M32.gif',
				),
				array(
					'mood_name'		=> 'Daring',
					'mood_image'	=> 'M33.gif',
				),
				array(
					'mood_name'		=> 'Dead',
					'mood_image'	=> 'M34.gif',
				),
				array(
					'mood_name'		=> 'Depressed',
					'mood_image'	=> 'M35.gif',
				),
				array(
					'mood_name'		=> 'Devilish',
					'mood_image'	=> 'M36.gif',
				),
				array(
					'mood_name'		=> 'Disagree',
					'mood_image'	=> 'M37.gif',
				),
				array(
					'mood_name'		=> 'Doh',
					'mood_image'	=> 'M38.gif',
				),
				array(
					'mood_name'		=> 'Doubtful',
					'mood_image'	=> 'M39.gif',
				),
				array(
					'mood_name'		=> 'Drama Queen',
					'mood_image'	=> 'M40.gif',
				),
				array(
					'mood_name'		=> 'Dreaming',
					'mood_image'	=> 'M41.gif',
				),
				array(
					'mood_name'		=> 'Drunk',
					'mood_image'	=> 'M42.gif',
				),
				array(
					'mood_name'		=> 'Elated',
					'mood_image'	=> 'M43.gif',
				),
				array(
					'mood_name'		=> 'Energetic',
					'mood_image'	=> 'M44.gif',
				),
				array(
					'mood_name'		=> 'Friendish',
					'mood_image'	=> 'M45.gif',
				),
				array(
					'mood_name'		=> 'Fine',
					'mood_image'	=> 'M46.gif',
				),
				array(
					'mood_name'		=> 'Flirty',
					'mood_image'	=> 'M47.gif',
				),
				array(
					'mood_name'		=> 'Gloomy',
					'mood_image'	=> 'M48.gif',
				),
				array(
					'mood_name'		=> 'Goofy',
					'mood_image'	=> 'M49.gif',
				),
				array(
					'mood_name'		=> 'Grumpy',
					'mood_image'	=> 'M50.gif',
				),
				array(
					'mood_name'		=> 'Happy',
					'mood_image'	=> 'M51.gif',
				),
				array(
					'mood_name'		=> 'Horny',
					'mood_image'	=> 'M52.gif',
				),
				array(
					'mood_name'		=> 'Hot',
					'mood_image'	=> 'M53.gif',
				),
				array(
					'mood_name'		=> 'Hung over',
					'mood_image'	=> 'M54.gif',
				),
				array(
					'mood_name'		=> 'In Love',
					'mood_image'	=> 'M55.gif',
				),
				array(
					'mood_name'		=> 'Innocent',
					'mood_image'	=> 'M56.gif',
				),
				array(
					'mood_name'		=> 'In Pain',
					'mood_image'	=> 'M57.gif',
				),
				array(
					'mood_name'		=> 'Insomnious',
					'mood_image'	=> 'M58.gif',
				),
				array(
					'mood_name'		=> 'Inspired',
					'mood_image'	=> 'M59.gif',
				),
				array(
					'mood_name'		=> 'Lonely',
					'mood_image'	=> 'M60.gif',
				),
				array(
					'mood_name'		=> 'Lucky',
					'mood_image'	=> 'M61.gif',
				),
				array(
					'mood_name'		=> 'Lurking',
					'mood_image'	=> 'M62.gif',
				),
				array(
					'mood_name'		=> 'Mellow',
					'mood_image'	=> 'M63.gif',
				),
				array(
					'mood_name'		=> 'Mischievious',
					'mood_image'	=> 'M64.gif',
				),
				array(
					'mood_name'		=> 'Monday Blues',
					'mood_image'	=> 'M65.gif',
				),
				array(
					'mood_name'		=> 'Musical',
					'mood_image'	=> 'M66.gif',
				),
				array(
					'mood_name'		=> 'Nerdy',
					'mood_image'	=> 'M67.gif',
				),
				array(
					'mood_name'		=> 'Not Amused',
					'mood_image'	=> 'M68.gif',
				),
				array(
					'mood_name'		=> 'Notworthy',
					'mood_image'	=> 'M69.gif',
				),
				array(
					'mood_name'		=> 'Paranoid',
					'mood_image'	=> 'M70.gif',
				),
				array(
					'mood_name'		=> 'Pensive',
					'mood_image'	=> 'M71.gif',
				),
				array(
					'mood_name'		=> 'Predatory',
					'mood_image'	=> 'M72.gif',
				),
				array(
					'mood_name'		=> 'Procrastinating',
					'mood_image'	=> 'M73.gif',
				),
				array(
					'mood_name'		=> 'Psychedelic',
					'mood_image'	=> 'M74.gif',
				),
				array(
					'mood_name'		=> 'Question It',
					'mood_image'	=> 'M75.gif',
				),
				array(
					'mood_name'		=> 'Relaxed',
					'mood_image'	=> 'M76.gif',
				),
				array(
					'mood_name'		=> 'Roflmao',
					'mood_image'	=> 'M77.gif',
				),
				array(
					'mood_name'		=> 'Sad',
					'mood_image'	=> 'M78.gif',
				),
				array(
					'mood_name'		=> 'Scared',
					'mood_image'	=> 'M79.gif',
				),
				array(
					'mood_name'		=> 'Scurvy',
					'mood_image'	=> 'M80.gif',
				),
				array(
					'mood_name'		=> 'Shocked',
					'mood_image'	=> 'M81.gif',
				),
				array(
					'mood_name'		=> 'Sick',
					'mood_image'	=> 'M82.gif',
				),
				array(
					'mood_name'		=> 'Sleepy',
					'mood_image'	=> 'M83.gif',
				),
				array(
					'mood_name'		=> 'Sluggish',
					'mood_image'	=> 'M84.gif',
				),
				array(
					'mood_name'		=> 'Snerky',
					'mood_image'	=> 'M85.gif',
				),
				array(
					'mood_name'		=> 'Snobbish',
					'mood_image'	=> 'M86.gif',
				),
				array(
					'mood_name'		=> 'Spaced',
					'mood_image'	=> 'M87.gif',
				),
				array(
					'mood_name'		=> 'Spooky',
					'mood_image'	=> 'M88.gif',
				),
				array(
					'mood_name'		=> 'Sporty',
					'mood_image'	=> 'M89.gif',
				),
				array(
					'mood_name'		=> 'Starving',
					'mood_image'	=> 'M90.gif',
				),
				array(
					'mood_name'		=> 'Stressed',
					'mood_image'	=> 'M91.gif',
				),
				array(
					'mood_name'		=> 'Sunshine',
					'mood_image'	=> 'M92.gif',
				),
				array(
					'mood_name'		=> 'Sweet Tooth',
					'mood_image'	=> 'M93.gif',
				),
				array(
					'mood_name'		=> 'Thinking',
					'mood_image'	=> 'M94.gif',
				),
				array(
					'mood_name'		=> 'Tired',
					'mood_image'	=> 'M95.gif',
				),
				array(
					'mood_name'		=> 'Torn',
					'mood_image'	=> 'M96.gif',
				),
				array(
					'mood_name'		=> 'Twisted',
					'mood_image'	=> 'M97.gif',
				),
				array(
					'mood_name'		=> 'Vegged Out',
					'mood_image'	=> 'M98.gif',
				),
				array(
					'mood_name'		=> 'Volatile',
					'mood_image'	=> 'M99.gif',
				),
				array(
					'mood_name'		=> 'Woot',
					'mood_image'	=> 'M100.gif',
				),
				array(
					'mood_name'		=> 'Worried',
					'mood_image'	=> 'M101.gif',
				),
				array(
					'mood_name'		=> 'Yee Haw',
					'mood_image'	=> 'M102.gif',
				),
				array(
					'mood_name'		=> 'No Mood',
					'mood_image'	=> 'M103.gif',
				),
			);
			$this->db->sql_multi_insert($this->table_prefix . 'moods', $sql_ary);
		}
	}
}
